| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Attributes | Friends | List of all members
Rndm::BreitWigner Class Reference

Parameters for the BreitWigner distributed random number generation. More...

`#include <GaudiKernel/RndmGenerators.h>`

Inheritance diagram for Rndm::BreitWigner:
[legend]
Collaboration diagram for Rndm::BreitWigner:
[legend]

## Public Member Functions
| BreitWigner (double m, double g)
| Standard Constructor. More...
| ~BreitWigner () override=default
| Standard Destructor. More...
double | mean () const
| Access mean value of the distribution. More...
double | gamma () const
| Access width of the distribution. More...
BreitWigner * | clone () const override
| Clone parameters. More...
Public Member Functions inherited from IRndmGen::Param
| Param (const InterfaceID &type=IID_IRndmFlat)
| Standard constructor. More...
virtual | ~Param ()=default
| Standard Destructor. More...
virtual const InterfaceID & | type () const
| Parameter's type. More...

## Static Public Member Functions
static const InterfaceID & | typeID ()
| Identifier for factory. More...

## Protected Attributes
double | m_mean
| Mean and Gamma parameter of the Breit-Wigner distribution. More...
double | m_gamma
Protected Attributes inherited from IRndmGen::Param
const InterfaceID | m_type
| Type of the generator. More...

## Friends
class | Generator< BreitWigner >

## Detailed Description

Parameters for the BreitWigner distributed random number generation.

Definition at line 87 of file RndmGenerators.h.

## Constructor & Destructor Documentation

Rndm::BreitWigner::BreitWigner | ( | double | m,
|  | double | g
| ) |  |
| inline

Standard Constructor.

Definition at line 94 of file RndmGenerators.h.

95 : IRndmGen::Param(IID_IRndmBreitWigner), m_mean(m), m_gamma(g) { }
Rndm::BreitWigner::m_gamma
double m_gamma
Definition: RndmGenerators.h:91
IRndmGen::Param
Definition: IRndmGen.h:40
Gaudi::Units::m
constexpr double m
Definition: SystemOfUnits.h:93
gaudirun.g
dictionary g
Definition: gaudirun.py:420
Rndm::BreitWigner::m_mean
double m_mean
Mean and Gamma parameter of the Breit-Wigner distribution.
Definition: RndmGenerators.h:91

Rndm::BreitWigner::~BreitWigner | ( |  | ) |
| override default

Standard Destructor.

## Member Function Documentation

BreitWigner* Rndm::BreitWigner::clone | ( |  | ) | const
| inline override virtual

Clone parameters.

Implements IRndmGen::Param.

Definition at line 105 of file RndmGenerators.h.

105 { return new BreitWigner(m_mean, m_gamma); }
Rndm::BreitWigner::m_gamma
double m_gamma
Definition: RndmGenerators.h:91
Rndm::BreitWigner::BreitWigner
BreitWigner(double m, double g)
Standard Constructor.
Definition: RndmGenerators.h:94
Rndm::BreitWigner::m_mean
double m_mean
Mean and Gamma parameter of the Breit-Wigner distribution.
Definition: RndmGenerators.h:91

double Rndm::BreitWigner::gamma | ( |  | ) | const
| inline

Access width of the distribution.

Definition at line 101 of file RndmGenerators.h.

101 { return m_gamma; }
Rndm::BreitWigner::m_gamma
double m_gamma
Definition: RndmGenerators.h:91

double Rndm::BreitWigner::mean | ( |  | ) | const
| inline

Access mean value of the distribution.

Definition at line 99 of file RndmGenerators.h.

99 { return m_mean; }
Rndm::BreitWigner::m_mean
double m_mean
Mean and Gamma parameter of the Breit-Wigner distribution.
Definition: RndmGenerators.h:91

static const InterfaceID& Rndm::BreitWigner::typeID | ( |  | ) |
| inline static

Identifier for factory.

Definition at line 103 of file RndmGenerators.h.

103 { return IID_IRndmBreitWigner; }

## Friends And Related Function Documentation

friend class Generator< BreitWigner >
| friend

Definition at line 88 of file RndmGenerators.h.

## Member Data Documentation

double Rndm::BreitWigner::m_gamma
| protected

Definition at line 91 of file RndmGenerators.h.

double Rndm::BreitWigner::m_mean
| protected

Mean and Gamma parameter of the Breit-Wigner distribution.

Definition at line 91 of file RndmGenerators.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/RndmGenerators.h